function Q = summ3punktgauss(f,a,b,N)
%
% function Q = summ3punktgauss(f,a,b,N)
%
% Approximiere das bestimmte Integral von f(x) von a bis b mit der summierten
% 3-Punkte Gauss Quadraturregel.
%
% Parameters: f   ... die zu integrierende Funktion 
%             a,b ... linke/rechte Integrations-Grenzen
%             N   ... Anzahl Teilintervalle
%
% Returns: Q ... Approximation des Integrals

  % Vektor [x_0, x_1, ..., x_N] mit x_0 = a und x_N = b
  x = linspace(a,b,N+1);

  % Teilintervallbreite
  h = (b-a)/N;

  % Summierte 3-Punkte Gauss Quadraturregel
  Q = 0.;
  for i=1:N
    Q = Q; % TODO
  end
